# Suggestoor

Suggestoor is a tool that helps you find the right command-line tools for your needs.

![suggestoor](./screenshot.png)

## Important

At the first run, it will take a while to embed all the man pages.
It can take up to 1-2 hours.
This is a one-time operation.

## Prerequisites

- ollama server running
- a GPU for embedding (using a CPU is unfeasible)

## Usage

### Using uv

```bash
uv run python main.py
```

### Using system python

```bash
python suggestoor.py
```

## Installation

### Using uv

Just run the script and it will install the dependencies for you.

### Using pip

```bash
pip install -r requirements.txt
```

## Configuration

You can configure the tool by editing the `.env` file.

### OLLAMA_HOST

This is the host of the ollama server.

### OLLAMA_MODEL

This is the model that will be used to generate the response.

### EMBEDDING_MODEL

This is the model that will be used to embed the man pages.

### SIMILARITY_K

This is the number of similar chunks to retrieve. Increase this number if you want more context. For a 8gb ram machine, 8 to 12 is a good number.

### FOLDERS

This is the folders of binaries to search for man pages and embed them.